Extending Qt Creator Manual | TrieNode

Extending Qt Creator Manual 4.5.2

# TrieNode Class

(QmlJS::PersistentTrie::TrieNode)

- List of all members, including inherited members

## Public Types

typedef | CTrie
typedef | Ptr

## Public Functions

| TrieNode(const QString &pre = QString(), QList<Ptr> post = QList<Ptr> ())
| TrieNode(const TrieNode &o)

## Static Public Members

void | complete(QStringList &results, const Ptr &trie, const QString &root, const QString &base = QString(), LookupFlags flags = LookupFlags( CaseInsensitive | Partial ))
bool | contains(const Ptr &trie, const QString &value, LookupFlags flags = LookupFlags( 0 ))
Ptr | create(const QString &pre = QString(), QList<Ptr> post = QList<Ptr> ())
QDebug & | describe(QDebug &dbg, const Ptr &trie, int indent)
Ptr | insertF(const Ptr &trie, const QString &value)
std::pair<Ptr, int> | intersectF(const Ptr &v1, const Ptr &v2, int index1 = 0)
bool | isSame(const Ptr &trie1, const Ptr &trie2)
std::pair<Ptr, int> | mergeF(const Ptr &v1, const Ptr &v2)
QDebug & | printStrings(QDebug &dbg, const Ptr &trie)
Ptr | replaceF(const Ptr &trie, const QHash<QString, QString> &replacements)
QStringList | stringList(const Ptr &trie)

## Member Type Documentation

### typedef TrieNode::CTrie

### typedef TrieNode::Ptr

## Member Function Documentation

### TrieNode::TrieNode(const QString &pre = QString(), QList<Ptr> post = QList<Ptr> ())

Default constructs an instance of TrieNode.

### TrieNode::TrieNode(const TrieNode &o)

Copy constructor.

### `[static]` void TrieNode::complete(QStringList &results, const Ptr &trie, const QString &root, const QString &base = QString(), LookupFlags flags = LookupFlags( CaseInsensitive | Partial ))

### `[static]` bool TrieNode::contains(const Ptr &trie, const QString &value, LookupFlags flags = LookupFlags( 0 ))

### `[static]` Ptr TrieNode::create(const QString &pre = QString(), QList<Ptr> post = QList<Ptr> ())

### `[static]` QDebug &TrieNode::describe(QDebug &dbg, const Ptr &trie, int indent)

### `[static]` Ptr TrieNode::insertF(const Ptr &trie, const QString &value)

### `[static]` std::pair<Ptr, int> TrieNode::intersectF(const Ptr &v1, const Ptr &v2, int index1 = 0)

### `[static]` bool TrieNode::isSame(const Ptr &trie1, const Ptr &trie2)

### `[static]` std::pair<Ptr, int> TrieNode::mergeF(const Ptr &v1, const Ptr &v2)

### `[static]` QDebug &TrieNode::printStrings(QDebug &dbg, const Ptr &trie)

### `[static]` Ptr TrieNode::replaceF(const Ptr &trie, const QHash<QString, QString> &replacements)

### `[static]` QStringList TrieNode::stringList(const Ptr &trie)